Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JDKGOST3410PublicKey

    java.lang.Object
      org.bouncycastle.jce.provider.JDKGOST3410PublicKey

All Implemented Interfaces:
  java.io.Serializable, java.security.Key, java.security.PublicKey, GOST3410Key, GOST3410PublicKey

    public class JDKGOST3410PublicKey

extends java.lang.Object
implements GOST3410PublicKey

See Also:
  Serialized Form

Field Summary

Fields inherited from interface java.security.PublicKey
`serialVersionUID`

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getAlgorithm()`
`byte[]` `getEncoded()`
`java.lang.String` `getFormat()`
`GOST3410Params` `getParameters()`
`java.math.BigInteger` `getY()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  Specified by:
    `getFormat` in interface `java.security.Key`

### getEncoded

    public byte[] getEncoded()

  Specified by:
    `getEncoded` in interface `java.security.Key`

### getParameters

    public GOST3410Params getParameters()

  Specified by:
    `getParameters` in interface `GOST3410Key`

### getY

    public java.math.BigInteger getY()

  Specified by:
    `getY` in interface `GOST3410PublicKey`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Bouncy Castle Cryptography Library 1.45